# Liste des erreurs

Les erreurs générées lors d’un contrôle sont classées par type. On distingue les erreurs relatives :

*   aux entités,
*   à la géométrie,
*   aux jeux de données,
*   aux types d’entité.

Le tableau ci-dessous liste l’ensemble des erreurs retournées par Qualigéo :

<style type="text/css">
.tg  {border-collapse:collapse;border-spacing:0;}
.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  overflow:hidden;padding:10px 5px;word-break:normal;}
.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;
  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}
.tg .tg-o6tx{background-color:#eae8e8;border-color:#d6d6d6;text-align:left;vertical-align:top}
.tg .tg-0pn5{background-color:#923288;border-color:#d6d6d6;color:#ffffff;text-align:left;vertical-align:top}
.tg .tg-avj4{border-color:#d6d6d6;text-align:left;vertical-align:top}
</style>
<table class="tg">
  <tr>
    <th class="tg-0pn5">Code derreur</th>
    <th class="tg-0pn5">Classe derreur</th>
    <th class="tg-0pn5">Type derreur</th>
    <th class="tg-0pn5">Détail</th>
  </tr>
  <tr>
    <td class="tg-0pn5"><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie">E0002</a></td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non conforme (interprétation de la géométrie).</td>
    <td class="tg-avj4">Vérifie les coordonnées des géométries et leur interprétation<a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’inteprétation et de type de géométrie</a><a href="./03.02.TypeGeometrie.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’inteprétation et de type de géométrie</a><br></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0003</td>
    <td class="tg-o6tx">Type d'entité</td>
    <td class="tg-o6tx">Attribut non autorisé.</td>
    <td class="tg-o6tx">Vérifie la présence des attributs et détecte la présence d’attribut en trop.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0004</td>
    <td class="tg-avj4">Type d'entité</td>
    <td class="tg-avj4">Attribut obligatoire absent.</td>
    <td class="tg-avj4">Vérifie la présence des attributs et détecte l’absence d’attribut.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0005</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité obligatoire absent.</td>
    <td class="tg-o6tx">Vérifie la présence/absence de type d’entité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0007</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Taille de l'attribut trop grande.</td>
    <td class="tg-avj4">Vérifie la longueur des attributs.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0008</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte d'unicité.</td>
    <td class="tg-o6tx">Une contrainte d’unicité garantit l’unicité de données contenues dans un attribut. Elle exige que toutes les valeurs d’un attribut soient uniques.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0009</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de contrainte de non nullité.</td>
    <td class="tg-avj4">Vérifie la nullité d’attribut.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0010</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors domaine.</td>
    <td class="tg-o6tx">Vérifie si les valeurs d’attributs sont dans une plage définie.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0011</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de relation spatiale.</td>
    <td class="tg-avj4">Vérifie les relations spatiales entre deux types d’entité. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html"><span style="font-size: 8pt;">En savoir plus sur les </span><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html" style="font-size: 8pt;">contraintes de relations spatiales </a></a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0012</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut hors expression régulière.</td>
    <td class="tg-o6tx">Vérifie la valeur d’attribut. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere" style="font-size: 8pt;">En savoir plus sur les contraintes définies pas expressions régulières</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0014</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Violation de la contrainte de tesselation : chevauchement.</td>
    <td class="tg-avj4">Vérifie la topologie entre entités. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;">En savoir plus sur les contraintes topologique (tesselation)</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0015</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Violation de la contrainte de tesselation : espace.</td>
    <td class="tg-o6tx">Vérifie la topologie entre entités. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique" style="font-size: 8pt;">En savoir plus sur les contraintes topologique (tesselation)</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0017</td>
    <td class="tg-avj4">Jeu de données</td>
    <td class="tg-avj4">Nombre d'erreurs maximum dépassé.</td>
    <td class="tg-avj4">Stoppe le traitement de contrôle si le nombre d'erreurs dépasse la valeur maximale.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0030</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Enfant avec trop de parents.</td>
    <td class="tg-o6tx">Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0031</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Enfant sans parent.</td>
    <td class="tg-avj4">Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0032</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Violation de la contrainte de cardinalité : Parent avec trop d'enfants.</td>
    <td class="tg-o6tx">Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0033</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte de cardinalité : Parent sans enfant.</td>
    <td class="tg-avj4">Vérifie les cardinalités entre types d’entité enfant et parents. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html" style="font-size: 8pt;">En savoir plus sur les contraintes de cardinalités</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0034</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Date non conforme.</td>
    <td class="tg-o6tx">Vérifie le formalisme des champs de type Date. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date" style="font-size: 8pt;">En savoir plus sur les formats de date</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0035</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Non respect de la contrainte sur l'entité.</td>
    <td class="tg-avj4">Appelle une fonction spécifique spécifiée par le Designer et retourne une erreur spécifique. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre" style="font-size: 8pt;">En savoir plus sur les langages de définition de contraintes spécifiques</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0036</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Non respect du domaine spatial. Système de coordonnées différent du système de référence.</td>
    <td class="tg-o6tx">Vérifie le système de coordonnées d’un jeu de données.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0037</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Non respect du domaine spatial. Données en dehors des bornes.</td>
    <td class="tg-avj4">Vérifie l’étendue d’un jeu de données.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0038</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Géométrie non conforme (type de géométrie).</td>
    <td class="tg-o6tx">Vérifie les coordonnées des géométries et leur interprétation. <a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html" style="font-size: 8pt;">En savoir plus sur les contraintes d’interprétation et de type de géométrie</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0039</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut inférieure au minimum.</td>
    <td class="tg-avj4">Vérifie si les valeurs numériques d’attributs sont dans une plage définie.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0040</td>
    <td class="tg-o6tx">Entité</td>
    <td class="tg-o6tx">Valeur d'attribut supérieure au maximum.</td>
    <td class="tg-o6tx">Vérifie si les valeurs numériques d’attributs sont dans une plage définie.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0041</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Relation spatiale impossible, géométrie non conforme.</td>
    <td class="tg-avj4">Vérifie la validité des géométries avant le contrôle des relations spatiales.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0042</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Problème de relation spatiale, géométrie de l'entité liée non conforme.</td>
    <td class="tg-o6tx">Vérifie la validité des géométries avant le contrôle des relations spatiales.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0043</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Type d'attribut non conforme.</td>
    <td class="tg-avj4">Vérifie le type des attributs (alphanumérique, entier, numérique).</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0044</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Type d'entité non défini.</td>
    <td class="tg-o6tx">Vérifie la présence /absence des types d’entité.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0045</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Violation de la contrainte Python sur l'entité.</td>
    <td class="tg-avj4">Appelle une fonction spécifique sur une entité, créée par le Designer et retourne une erreur spécifique.<br></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0046</td>
    <td class="tg-o6tx">Code</td>
    <td class="tg-o6tx">Erreur de codage de la contrainte Python sur l'entité.</td>
    <td class="tg-o6tx">Erreur de codage Python par le Designer.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0047</td>
    <td class="tg-avj4">Entité</td>
    <td class="tg-avj4">Valeur d'attribut hors expression régulière décrite par code python.</td>
    <td class="tg-avj4">Appelle une fonction spécifique sur un attribut, créée par le Designer et retourne une erreur spécifique.<br></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0048</td>
    <td class="tg-o6tx">Jeu de données</td>
    <td class="tg-o6tx">Violation de la contrainte spécifique (Python) sur le jeu de données.</td>
    <td class="tg-o6tx">Appelle une fonction spécifique sur un jeu de données, créée par le Designer et retourne une erreur spécifique.<br></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0049</td>
    <td class="tg-avj4">Code</td>
    <td class="tg-avj4">Erreur de codage de la contrainte Python sur l'attribut.</td>
    <td class="tg-avj4">Erreur de codage Python par le Designer.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0050</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction stricte - segment.</td>
    <td class="tg-o6tx">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. <a href="../04-ContraintesRessources/03.03.ContraintesConstruction" style="font-size: 8pt;">En savoir plus sur les contraintes de construction</a></td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0051</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction stricte - vertex.</td>
    <td class="tg-avj4">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0052</td>
    <td class="tg-o6tx">Géométrie</td>
    <td class="tg-o6tx">Erreur de contrainte de construction permissive - segment.</td>
    <td class="tg-o6tx">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0054</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Erreur de contrainte de construction permissive - polygone.</td>
    <td class="tg-avj4">Vérifie la géométrie d’un type d’entité par rapport à la géométrie d’un type d’entité de référence. En savoir plus sur les contraintes de construction</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0055</td>
    <td class="tg-o6tx">Format Personnalisé</td>
    <td class="tg-o6tx">Erreur définie et testée dans le format personnalisé.</td>
    <td class="tg-o6tx">Vérifie une contrainte définie via un format personnalisé importé dans Qualigéo.</td>
  </tr>
  <tr>
    <td class="tg-0pn5">E0057</td>
    <td class="tg-avj4">Géométrie</td>
    <td class="tg-avj4">Géométrie non valide.</td>
    <td class="tg-avj4">Vérifie la géométrie d’entités avec utilisation possible des normes définies par l’OGC.<br></td>
  </tr>
</table>